### Name: findPrimes
### Title: Find all possible prime implicants of one or several
###   combinations of causal conditions
### Aliases: findPrimes
### Keywords: misc

### ** Examples

# all three conditions are binary, having two levels: 0 and 1
noflevels <- c(2, 2, 2)

findPrimes(noflevels, 14)         #  2  4  5 10 11 13 14
findPrimes(noflevels, 17)         #  2  7  8 10 11 16 17

# both line numbers 14 and 17
findPrimes(noflevels, c(14, 17))  #  2  4  5 10 11 13 14  7  8 16 17

# input.combs as a matrix
(input.combs <- getRow(noflevels + 1, c(14, 17)))

#     [,1] [,2] [,3]
#[1,]    1    1    1
#[2,]    1    2    1

findPrimes(noflevels, input.combs) #  2  4  5 10 11 13 14  7  8 16 17



